/**
 * bring from react-scripts/lib/react-app.d.ts
 */
declare namespace NodeJS {
  interface ProcessEnv {
    /* eslint-disable @typescript-eslint/naming-convention */
    // local環境はdevelopment、staging環境は production になる
    readonly NODE_ENV: "development" | "develop" | "production" | "test";
    readonly PUBLIC_URL: string;
    /* eslint-enable @typescript-eslint/naming-convention */
  }
}

declare module "*.gif" {
  const src: string;
  export default src;
}

declare module "*.jpg" {
  const src: string;
  export default src;
}

declare module "*.jpeg" {
  const src: string;
  export default src;
}

declare module "*.png" {
  const src: string;
  export default src;
}

declare module "*.svg" {
  const src: string;
  export default src;
}
